← Renditjet
Pastro

Scotland

Women's Caledonia Midlands/East Region League Division 2

#EkipiPWDLPDBPPtsForma
1Falkirk RFC5500–525WWWWW
2Livingston RFC5401–521WWLWW
3Gala RFC5401–420WWWWL
4Musselburgh RFC5302–315WLWLW
5Leith Rugby Club5203–210LLWLW
6Dalkeith RFC5104–59LWLLL
7Kirkcaldy RFC5104–23LLLWL
8Perthshire RFC5005–22LLLLL

Burimi: Scottish Rugby · kontrolluar 14 tet, 04:52 m.d. · Forma: pesë rezultatet e fundit që kemi, më i riu djathtas.

Ndeshjet dhe rezultatet →

Çdo tabelë është renditja e publikuar nga vetë liga, me pikët bonus, zbritjet dhe kriteret e barazimit. BP shfaqet kur liga e publikon; përndryshe është tashmë te Pts.